# plankapy
A python 3 based API for controlling a self-hosted Planka instance

## Getting Started

You can either clone this repository, or install with pip

Clone:
```
git clone https://github.com/hwelch-fle/plankapy.git
```

PIP:
```
pip install plankapy
```

After cloning the repo or installing the package, you can access the auto-docs generated by pdoc: 
### [Documentation Link](https://hwelch-fle.github.io/plankapy/)

## Project Status

The goal of this project is to provide interfaces for as many Planka objects as possible. 

Currently implemented routes include:
- Project
- Board
- List
- Card
- Label
- Background
- User

Routes not yet implemented:
- Attachment
- Stopwatch
- Comment

This project is currently being very slowly developed with me mostly just merging in patches from the community. When Planka 2.0 is made public, I will likely branch this repo off and work on re-developing it for some of the new features.

## API Sources From Planka

### [Routes](https://github.com/plankanban/planka/blob/master/server/config/routes.js)
### [Models](https://github.com/plankanban/planka/tree/master/server/api/models)
### [Helpers](https://github.com/plankanban/planka/tree/master/server/api/helpers)